Bug 258750 - www/webkit2-gtk3: unbreak GSTREAMER=off
Summary: www/webkit2-gtk3: unbreak GSTREAMER=off
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-27 18:43 UTC by Evgeniy Khramtsov
Modified: 2021-10-01 14:12 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
v1 (use "git am") (19.09 KB, patch)
2021-09-27 18:43 UTC, Evgeniy Khramtsov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Khramtsov 2021-09-27 18:43:51 UTC
Created attachment 228218 [details]
v1 (use "git am")

Regressed by:
https://github.com/WebKit/WebKit/commit/7c0f13f37ec (likely not guarded by appropriate defines)
https://github.com/WebKit/WebKit/commit/b87d5003f83 (BifurcatedGraphicsContext::paintFrameForMedia not guarded with VIDEO)

Yet to update ports after glib, librsvg2 updates and test runtime. I CC the reporter and committer in case they can confirm and test builds on 12.2 - 14 and runtime faster than me.
Comment 1 Evgeniy Khramtsov 2021-09-27 18:48:22 UTC
Also, can the 2.34.0 update with this change be merged into quarterly branch?
Comment 2 Baptiste Daroussin freebsd_committer 2021-09-28 07:19:25 UTC
pushed thank you!
As for the quarterly branch, I ll mfh later today
Comment 3 commit-hook freebsd_committer 2021-09-28 07:19:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f73bc57ac903f6c6b69c2b9bf59d0b5598b56ead

commit f73bc57ac903f6c6b69c2b9bf59d0b5598b56ead
Author:     Evgeniy Khramtsov <evgeniy@khramtsov.org>
AuthorDate: 2021-09-27 18:36:05 +0000
Commit:     Baptiste Daroussin <bapt@FreeBSD.org>
CommitDate: 2021-09-28 07:17:43 +0000

    www/webkit2-gtk3: unbreak GSTREAMER=off after 895bc805a

    PR:             258750
    Reported by:    madpilot@ (via mailing list)
    Tested by:      bapt

 www/webkit2-gtk3/Makefile                          |   2 +
 .../files/extra-patch-guard-video (new)            |  33 ++
 .../files/extra-patch-revert-7c0f13f37ec5 (new)    | 342 +++++++++++++++++++++
 3 files changed, 377 insertions(+)